Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

enter image description here

The Window keeps on loading,I've kept waiting for one hour.I'm using Ubuntu 13.04.I've used

     sudo update-software-center

But it does not work.

on running the Command: software-center

     (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-         widgets.css:202:26: 'none' is not a valid color name

     (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:209:26: 'none' is not a valid color name

     (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:217:26: 'none' is not a valid color name

     (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:246:26: 'none' is not a valid color name

     (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:253:26: 'none' is not a valid color name

     (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:482:26: 'none' is not a valid color name

     (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:501:26: 'none' is not a valid color name

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:516:26: 'none' is not a valid color name

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:529:26: 'none' is not a valid color name

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1162:22: 'none' is not a valid color name

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1167:22: 'none' is not a valid color name

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1212:48: Expected ')'

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1223:48: Expected ')'

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1235:48: Expected ')'

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1247:48: Expected ')'

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1429:18: Not using units is deprecated. Assuming 'px'.

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1437:18: Not using units is deprecated. Assuming 'px'.

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1465:26: not a number

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1474:26: not a number

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1490:18: Not using units is deprecated. Assuming 'px'.

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1535:5: '/*' in comment block

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1921:22: 'none' is not a valid color name

    (software-center:4276): Gtk-WARNING **: Theme parsing error: gtk-   widgets.css:1928:22: 'none' is not a valid color name
 2014-01-28 18:48:02,299 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
 2014-01-28 18:48:05,005 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
 2014-01-28 18:48:05,038 - softwarecenter.plugin - INFO - activating plugin '<module   'webapps_activation' from '/usr/share/software-  center/softwarecenter/plugins/webapps_activation.pyc'>'
 2014-01-28 18:48:05,057 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/gi/importer.py', 51, 'find_module')'
 2014-01-28 18:48:05,057 - root - ERROR - Could not find any typelib for    LaunchpadIntegration
 2014-01-28 18:48:05,308 - softwarecenter.db.pkginfo_impl.aptcache - INFO -   aptcache.open()

Any help is appriciated. Thank you!

share|improve this question
    
When you say does not work, what do you mean? Could you provide error messages, or does nothing appear, it just fails? –  RPi Awesomeness Jan 28 at 12:54
    
No error message,the window keeps on loading (provided in the image) and all the items are disabled,when i click the close button the window just closes. –  Terminal Jan 28 at 12:58
    
No, I was referring to the sudo update-software-center command, not the window. –  RPi Awesomeness Jan 28 at 13:03
    
After running the command: sudo update-software-center , i cannon present the whole message after running, characters are bounded, but the last line is : E:The package lists or status file could not be parsed or opened. –  Terminal Jan 28 at 13:09
    
Yeah, nux's answer should help you. It is definitely an issue with your /etc/source.d file. Could you try launching the software center from the terminal with software-center and giving us any errors? You could just edit your post with all of the output, formatted as code. –  RPi Awesomeness Jan 28 at 13:11

3 Answers 3

Uninstall Software Center:

sudo apt-get purge software-center

(IMPORTANT)Remember to remove the cache

sudo rm -r ~/.cache/software-center

Reinstall Software Center:

sudo apt-get install software-center
share|improve this answer
    
Got error: Reading package lists... Error! E: Encountered a section with no Package: header E: Problem with MergeList /var/lib/apt/lists/in.archive.ubuntu.com_ubuntu_dists_raring-updates_universe_i1‌​8n_Translation-en E: The package lists or status file could not be parsed or opened. ----> from the first command. –  Terminal Jan 28 at 12:59
1  
there is a problem with your /etc/source.list file , point to it and check if there any syntax error –  nux Jan 28 at 13:02
    
then run sudo apt-get update –  nux Jan 28 at 13:03

SOLUTION:

wow, thanks for the support. I've found the solution just now.Its beacsuse of my theme "Malys-deda". I've removed it and now it woks fine.

enter image description here

share|improve this answer

Try reinstalling it, reinstalling will do software catalog update and may fix your problem

sudo apt-get install --reinstall software-center

Software center is slow, you can try Deepin software center

http://www.noobslab.com/2013/07/deepin-software-center-version-30-and.html

share|improve this answer
    
Error:: E: Command line option 'r' [from -reinstall] is not known. –  Terminal Jan 28 at 13:04
    
sudo apt-get install --reinstall software-center my bad, it's with double dash –  kenn Jan 28 at 13:09
    
ok but again: Reading package lists... Error! E: Encountered a section with no Package: header E: Problem with MergeList /var/lib/apt/lists/in.archive.ubuntu.com_ubuntu_dists_raring-updates_universe_i1‌​8n_Translation-en E: The package lists or status file could not be parsed or opened. –  Terminal Jan 28 at 13:10
    
check out this link askubuntu.com/questions/30072/… –  kenn Jan 28 at 13:13

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.